%define api		3.0
%define major		0
%define girmajor	3.0

%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{girmajor}
%define libtracker	%mklibname tracker-sparql %{api} %{major}
%define girtracker	%mklibname tracker-gir %{girmajor}
%define develname	%mklibname %{name} -d

%bcond_without	doc

Name:		tinysparql
Version:        3.9.2
Release:	%mkrel 1
Summary:	Low-footprint RDF triple store with SPARQL 1.1 interface
License:	GPL-2.1-or-later
Group:		Graphical desktop/GNOME
URL:		https://tinysparql.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	30-tracker.conf
BuildRequires:	meson
BuildRequires:	gettext-devel
BuildRequires:	gi-docgen
BuildRequires:	python3-gobject
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	libstemmer-devel
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	vala
BuildRequires:	locales

Requires:	odt2txt

# ovitters: the following package handles the indexing
Recommends:	localsearch

Provides:	tracker = %{version}-%{release}
Obsoletes:	tracker < 3.7.3-2

%description
The TinySPARQL library offers a complete RDF triplestore with SPARQL 1.1
interface and a minimal footprint. It allows creating local databases in
memory or the filesystem, and accessing/creating endpoints for federated
queries.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library of TinySPARQL
Requires:	%{name} >= %{version}

%description -n %{libname}
The TinySPARQL library offers a complete RDF triplestore with SPARQL 1.1
interface and a minimal footprint. It allows creating local databases in
memory or the filesystem, and accessing/creating endpoints for federated
queries.

%package -n %{libtracker}
Group:		System/Libraries
Summary:	Shared library of Tracker

Obsoletes:	%{_lib}tracker3.0_0 < 3.7.3-2

%description -n %{libtracker}
Tracker is a tool designed to extract information and metadata about your
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{girtracker}
Summary:	GObject Introspection interface description for tracker
Group:		System/Libraries
Requires:	%{libtracker} = %{version}-%{release}

%description -n %{girtracker}
GObject Introspection interface description for tracker.

%package -n %{develname}
Summary:	Headers for developing programs that will use LocalSearch
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libtracker} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{girtracker} = %{version}-%{release}
Requires:	%{name}-vala
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	tracker-devel = %{version}-%{release}
Provides:	libtracker-devel = %{version}-%{release}

Obsoletes:	%{_lib}tracker-devel < 3.7.3-2

%description -n %{develname}
This package contains header files for development and link applications
with LocalSearch.

%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Other
BuildArch:	noarch
Requires:	%{name}-devel >= %{version}-%{release}
Requires:	vala

Provides:	tracker-vala = %{version}-%{release}
Obsoletes:	tracker-vala < 3.7.3-2

%description vala
This package contains vala bindings for development %{name}.

%if %{with doc}
%package docs
Summary:	Documentations for %{name}
Group:		Documentation
BuildArch:	noarch
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	asciidoc
BuildRequires:	graphviz

Provides:	tracker-docs = %{version}-%{release}
Obsoletes:	tracker-docs < 3.7.3-2

%description docs
This package contains the documentation for %{name}.
%endif

%prep
%autosetup -p1


%build
export CPATH+=":/usr/include/libstemmer/"

%meson \
	%{!?with_doc:-D docs=false}

%meson_build


%install
%meson_install

install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/sysctl.d/30-%{name}.conf

%find_lang %{name}3


%files -f %{name}3.lang
%doc README.md NEWS AUTHORS
%license COPYING
%{_bindir}/tinysparql
%{_libexecdir}/%{name}*
%{_libdir}/%{name}-%{api}/
%{_prefix}/lib/sysctl.d/30-%{name}.conf
%{_datadir}/bash-completion/completions/tinysparql
%{_datadir}/dbus-1/services/org.freedesktop.portal.Tracker.service
%{_userunitdir}/%{name}-xdg-portal-3.service
%{_mandir}/man1/%{name}*.1*

%files vala
%{_datadir}/vala/vapi/%{name}-%{api}.vapi
%{_datadir}/vala/vapi/%{name}-%{api}.deps
%{_datadir}/vala/vapi/tracker-sparql-%{api}.vapi
%{_datadir}/vala/vapi/tracker-sparql-%{api}.deps

%files -n %{libname}
%license COPYING
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{libtracker}
%license COPYING
%{_libdir}/libtracker-sparql-%{api}.so.%{major}{,.*}

%files -n %{girname}
%license COPYING
%{_libdir}/girepository-1.0/Tsparql-%{girmajor}.typelib

%files -n %{girtracker}
%license COPYING
%{_libdir}/girepository-1.0/Tracker-%{girmajor}.typelib

%files -n %{develname}
%{_includedir}/tinysparql-%{api}/
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/libtracker-sparql-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/tracker-sparql-%{api}.pc
%{_datadir}/gir-1.0/Tracker-%{girmajor}.gir
%{_datadir}/gir-1.0/Tsparql-%{girmajor}.gir

%if %{with doc}
%files docs
%{_docdir}/Tsparql-3.0/
%endif


%changelog
* Mon Apr 21 2025 daviddavid <daviddavid> 3.9.2-1.mga10
+ Revision: 2177395
- new version 3.9.2

* Thu Mar 20 2025 daviddavid <daviddavid> 3.9.1-1.mga10
+ Revision: 2167072
- new version 3.9.1

* Sun Mar 16 2025 wally <wally> 3.8.2-4.mga10
+ Revision: 2165047
- rebuild for libxml2 2.13.6

* Sun Jan 12 2025 wally <wally> 3.8.2-3.mga10
+ Revision: 2138304
- rebuild for icu 76.1

* Sun Dec 29 2024 daviddavid <daviddavid> 3.8.2-2.mga10
+ Revision: 2131056
- fix new tracker dependencies

* Sun Dec 29 2024 daviddavid <daviddavid> 3.8.2-1.mga10
+ Revision: 2131012
- new version 3.8.2
- project was renamed upstream as tinysparql

* Sun Jun 02 2024 daviddavid <daviddavid> 3.7.3-1.mga10
+ Revision: 2069225
- new version 3.7.3

* Fri Mar 29 2024 daviddavid <daviddavid> 3.7.1-1.mga10
+ Revision: 2053100
- new version 3.7.1

* Tue Mar 19 2024 daviddavid <daviddavid> 3.7.0-1.mga10
+ Revision: 2050623
- new version 3.7.0

* Tue Sep 26 2023 tv <tv> 3.6.0-1.mga10
+ Revision: 1991087
- Update to 3.6.0

* Sat Jun 03 2023 daviddavid <daviddavid> 3.5.3-1.mga9
+ Revision: 1960770
- new version 3.5.3

* Thu Apr 27 2023 neoclust <neoclust> 3.5.1-1.mga9
+ Revision: 1955090
- New version 3.5.1

* Sat Apr 22 2023 tmb <tmb> 3.5.0-1.mga9
+ Revision: 1954291
- update filelists
- BR: gi-docgen
- update to 3.5.0.rc
+ daviddavid <daviddavid>
- update to 3.5.0 (final)

* Sat Jan 07 2023 squidf <squidf> 3.4.2-2.mga9
+ Revision: 1931177
- Mass rebuild for icu 72.1

* Wed Dec 14 2022 tv <tv> 3.4.2-1.mga9
+ Revision: 1922038
- Update to 3.4.2

* Wed Oct 26 2022 ovitters <ovitters> 3.4.1-1.mga9
+ Revision: 1899464
- new version 3.4.1
+ tv <tv>
- Explicitely BR libsoup3

* Sun Sep 18 2022 wally <wally> 3.4.0-1.mga9
+ Revision: 1889717
- new version 3.4.0 (from ovitters)
- build with rest-1.0 and libsoup-3.0

* Tue Aug 09 2022 ovitters <ovitters> 3.3.3-1.mga9
+ Revision: 1876306
- new version 3.3.3

* Wed Jul 06 2022 ovitters <ovitters> 3.3.2-1.mga9
+ Revision: 1867872
- new version 3.3.2

* Sat Jun 18 2022 squidf <squidf> 3.3.1-2.mga9
+ Revision: 1864917
- rebuild for icu 71.1

* Wed Jun 01 2022 ovitters <ovitters> 3.3.1-1.mga9
+ Revision: 1860936
- new version 3.3.1

* Mon Mar 21 2022 tv <tv> 3.3.0-1.mga9
+ Revision: 1814537
- Update to 3.3.0

* Tue Mar 15 2022 tv <tv> 3.3.0~rc-1.mga9
+ Revision: 1793531
- Temporary disable doc
- Drop BR on unstalled libxine as it's no more used
- Update to 3.3.0.rc
+ ovitters <ovitters>
- new version 3.2.1
- new version 3.2.0

* Tue Aug 03 2021 luigiwalser <luigiwalser> 3.1.2-2.mga9
+ Revision: 1738982
- rebuild for icu

* Sat Jun 12 2021 ovitters <ovitters> 3.1.2-1.mga9
+ Revision: 1730451
- new version 3.1.2

* Fri Apr 02 2021 ovitters <ovitters> 3.1.1-1.mga9
+ Revision: 1712866
- new version 3.1.1

* Thu Mar 25 2021 ovitters <ovitters> 3.1.0-1.mga9
+ Revision: 1709957
- new version 3.1.0

* Wed Dec 09 2020 ovitters <ovitters> 3.0.2-1.mga8
+ Revision: 1654764
- new version 3.0.2

* Mon Nov 30 2020 luigiwalser <luigiwalser> 3.0.1-2.mga8
+ Revision: 1650935
- rebuild for icu

* Fri Oct 02 2020 ovitters <ovitters> 3.0.1-1.mga8
+ Revision: 1631765
- new version 3.0.1

* Mon Sep 14 2020 daviddavid <daviddavid> 3.0.0-1.mga8
+ Revision: 1626124
- new version 3.0.0
+ ovitters <ovitters>
- new version 2.99.5

* Sat Sep 05 2020 tv <tv> 2.99.4-1.mga8
+ Revision: 1622441
- BR asciidoc
- 2.99.4

* Tue Aug 25 2020 tv <tv> 2.3.5-1.mga8
+ Revision: 1618908
- fix filelist
+ ovitters <ovitters>
- new version 2.3.5

* Wed Jul 01 2020 wally <wally> 2.3.4-3.mga8
+ Revision: 1601073
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 2.3.4-2.mga8
+ Revision: 1564509
- rebuild for new icu 66.1

* Tue Mar 10 2020 ovitters <ovitters> 2.3.4-1.mga8
+ Revision: 1555160
- new version 2.3.4

* Mon Mar 09 2020 ovitters <ovitters> 2.3.3-1.mga8
+ Revision: 1555130
- new version 2.3.3

* Wed Feb 19 2020 ovitters <ovitters> 2.3.2-1.mga8
+ Revision: 1542308
- new version 2.3.2

* Sun Feb 16 2020 umeabot <umeabot> 2.3.1-2.mga8
+ Revision: 1535576
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 ovitters <ovitters> 2.3.1-1.mga8
+ Revision: 1452375
- new version 2.3.1

* Sat Oct 05 2019 daviddavid <daviddavid> 2.3.0-2.mga8
+ Revision: 1449484
- rebuild for new icu 65.1

* Wed Sep 11 2019 daviddavid <daviddavid> 2.3.0-1.mga8
+ Revision: 1439872
- new version 2.3.0

* Fri Sep 06 2019 ovitters <ovitters> 2.2.99.1-1.mga8
+ Revision: 1437714
- new version 2.2.99.1
+ wally <wally>
- drop old obsoletes and conflicts

* Mon Aug 19 2019 daviddavid <daviddavid> 2.2.99.0-2.mga8
+ Revision: 1430227
- make that the devel package requires the tracker-vala package

* Thu Aug 08 2019 tv <tv> 2.2.99.0-1.mga8
+ Revision: 1428145
- fix filelist
+ ovitters <ovitters>
- new version 2.2.99.0

* Wed May 08 2019 tmb <tmb> 2.2.2-1.mga7
+ Revision: 1396829
- update to 2.2.2

* Thu Apr 18 2019 umeabot <umeabot> 2.2.1-2.mga7
+ Revision: 1392948
- Rebuild with meson 0.50.1

* Wed Mar 06 2019 ovitters <ovitters> 2.2.1-1.mga7
+ Revision: 1372027
- new version 2.2.1

* Mon Feb 25 2019 daviddavid <daviddavid> 2.2.0-2.mga7
+ Revision: 1370104
- rebuild with fixed systemd user services
+ shlomif <shlomif>
- avoid workaround - thanks to wally

* Thu Feb 21 2019 shlomif <shlomif> 2.2.0-1.mga7
+ Revision: 1369187
- fix the build to use meson
+ ovitters <ovitters>
- new version 2.2.0

* Wed Feb 06 2019 ovitters <ovitters> 2.1.7-1.mga7
+ Revision: 1363597
- new version 2.1.7

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.1.6-2.mga7
+ Revision: 1346121
- rebuild for icu

* Mon Nov 05 2018 joequant <joequant> 2.1.6-1.mga7
+ Revision: 1328599
- add locales utf8 to avoid python crash
+ ovitters <ovitters>
- new version 2.1.6

* Wed Sep 26 2018 ovitters <ovitters> 2.1.5-1.mga7
+ Revision: 1306443
- new version 2.1.5

* Tue Sep 04 2018 daviddavid <daviddavid> 2.1.4-1.mga7
+ Revision: 1257066
- new version 2.1.4

* Wed Aug 22 2018 tv <tv> 2.0.4-2.mga7
+ Revision: 1253385
- rebuild with latest icu

* Mon Jun 25 2018 ovitters <ovitters> 2.0.4-1.mga7
+ Revision: 1239626
- new version 2.0.4

* Thu Apr 12 2018 ovitters <ovitters> 2.0.3-2.mga7
+ Revision: 1218086
- recommend tracker-miners

* Wed Feb 07 2018 ovitters <ovitters> 2.0.3-1.mga7
+ Revision: 1199405
- new version 2.0.3

* Fri Dec 29 2017 wally <wally> 2.0.2-2.mga7
+ Revision: 1187018
- rebuild for new icu

* Wed Nov 15 2017 ovitters <ovitters> 2.0.2-1.mga7
+ Revision: 1177400
- new version 2.0.2

* Wed Oct 04 2017 ovitters <ovitters> 2.0.1-1.mga7
+ Revision: 1168767
- new version 2.0.1

* Wed Sep 20 2017 tv <tv> 2.0.0-3.mga7
+ Revision: 1156346
- adjust filelist
- drop call to desktop-file-install on non existant file
- drop patch that breaks build
- new release

* Tue Aug 22 2017 ovitters <ovitters> 1.12.3-1.mga7
+ Revision: 1142930
- new version 1.12.3

* Mon Aug 07 2017 ovitters <ovitters> 1.12.2-1.mga7
+ Revision: 1138684
- new version 1.12.2

* Mon Jul 17 2017 ovitters <ovitters> 1.12.1-1.mga7
+ Revision: 1124644
- new version 1.12.1

* Wed Mar 22 2017 ovitters <ovitters> 1.12.0-1.mga6
+ Revision: 1094400
- try and force the build
- disable --as-needed for this version (bgo#780413)
- new version 1.12.0

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1.10.5-3.mga6
+ Revision: 1092812
- Rebuild for icu-58.2

* Fri Mar 10 2017 akien <akien> 1.10.5-2.mga6
+ Revision: 1091295
- Rebuild without libstreamanalyzer (obsoleted)

* Thu Feb 23 2017 ovitters <ovitters> 1.10.5-1.mga6
+ Revision: 1087440
- new version 1.10.5

* Tue Feb 21 2017 ovitters <ovitters> 1.10.4-2.mga6
+ Revision: 1087233
- make library require main package to avoid crash on missing gschema and ensure indexing works (mga#20300)

* Thu Jan 19 2017 ovitters <ovitters> 1.10.4-1.mga6
+ Revision: 1082450
- new version 1.10.4

* Mon Jan 09 2017 shlomif <shlomif> 1.10.3-2.mga6
+ Revision: 1080753
- Revert to the stable version. Thanks to Luigi Walser.
- Remove trailing whitespace.
- New version 1.11.x.

* Fri Dec 16 2016 ovitters <ovitters> 1.10.3-1.mga6
+ Revision: 1075596
- new version 1.10.3

* Thu Dec 08 2016 ovitters <ovitters> 1.10.2-1.mga6
+ Revision: 1073379
- new version 1.10.2

* Mon Nov 28 2016 luigiwalser <luigiwalser> 1.10.1-2.mga6
+ Revision: 1070650
- rebuild for poppler

* Fri Oct 14 2016 ovitters <ovitters> 1.10.1-1.mga6
+ Revision: 1060772
- new version 1.10.1

* Mon Sep 26 2016 tv <tv> 1.10.0-3.mga6
+ Revision: 1056857
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Fri Sep 23 2016 ovitters <ovitters> 1.10.0-2.mga6
+ Revision: 1055446
- new version 1.10.0

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1.8.0-5.mga6
+ Revision: 1046205
- test rebuild for poppler

* Fri May 27 2016 pterjan <pterjan> 1.8.0-4.mga6
+ Revision: 1018912
- Allow disabling nautilus for bootstraping, and do not require evolution stuff when not building it

* Sat May 14 2016 tv <tv> 1.8.0-3.mga6
+ Revision: 1015486
- rebuild for new icu

* Sat May 14 2016 shlomif <shlomif> 1.8.0-2.mga6
+ Revision: 1015247
- Rebuild for the new UCI (new major)

* Mon Mar 21 2016 ovitters <ovitters> 1.8.0-1.mga6
+ Revision: 993730
- new version 1.8.0

* Tue Mar 15 2016 ovitters <ovitters> 1.7.5-1.mga6
+ Revision: 990743
- new version 1.7.5

* Tue Mar 01 2016 ovitters <ovitters> 1.7.4-1.mga6
+ Revision: 981597
- new version 1.7.4

* Tue Feb 16 2016 ovitters <ovitters> 1.7.3-1.mga6
+ Revision: 961750
- new version 1.7.3

* Mon Jan 18 2016 ovitters <ovitters> 1.7.2-1.mga6
+ Revision: 925232
- new version 1.7.2

* Thu Jan 07 2016 luigiwalser <luigiwalser> 1.7.1-8.mga6
+ Revision: 920410
- rebuild for giflib

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.7.1-7.mga6
+ Revision: 918408
- rebuild for icu
+ ovitters <ovitters>
- new version 1.7.1
- new version 1.6.1

* Thu Sep 24 2015 tv <tv> 1.6.0-1.mga6
+ Revision: 882867
- new release
+ wally <wally>
- fix URL (mga#16653)

* Mon Aug 10 2015 ovitters <ovitters> 1.4.1-1.mga6
+ Revision: 862419
- new version 1.4.1

* Sat Jul 25 2015 cjw <cjw> 1.4.0-3.mga6
+ Revision: 857303
- rebuild for icu 55
- build vala parts from source code

* Mon Jun 29 2015 wally <wally> 1.4.0-2.mga6
+ Revision: 847851
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 1.4.0-1.mga6
+ Revision: 838610
- new version 1.4.0

* Sat Jun 20 2015 ovitters <ovitters> 1.2.6-1.mga6
+ Revision: 836398
- new version 1.2.6

* Mon Dec 22 2014 ovitters <ovitters> 1.2.5-1.mga5
+ Revision: 804804
- new version 1.2.5

* Thu Nov 06 2014 ovitters <ovitters> 1.2.4-1.mga5
+ Revision: 795954
- new version 1.2.4

* Sat Oct 18 2014 ovitters <ovitters> 1.2.3-1.mga5
+ Revision: 782603
- new version 1.2.3
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.2-3.mga5
+ Revision: 730643
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 1.2.2-2.mga5
+ Revision: 724967
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Thu Sep 25 2014 ovitters <ovitters> 1.2.2-1.mga5
+ Revision: 724583
- new version 1.2.2

* Mon Sep 22 2014 ovitters <ovitters> 1.2.0-1.mga5
+ Revision: 719220
- new version 1.2.0

* Tue Sep 16 2014 umeabot <umeabot> 1.1.4-2.mga5
+ Revision: 689938
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Sep 05 2014 ovitters <ovitters> 1.1.4-1.mga5
+ Revision: 672403
- new version 1.1.4

* Wed Aug 27 2014 fwang <fwang> 1.1.3-1.mga5
+ Revision: 668676
- update file list
- 1.1.3
- 1.0.3
- rebuild for upower

* Thu Jul 10 2014 ovitters <ovitters> 1.0.2-1.mga5
+ Revision: 651073
- new version 1.0.2

* Fri May 09 2014 ovitters <ovitters> 1.0.1-1.mga5
+ Revision: 621442
- new version 1.0.1

* Sat Apr 05 2014 wally <wally> 1.0.0-2.mga5
+ Revision: 611901
- rebuild for new icu

* Mon Mar 24 2014 ovitters <ovitters> 1.0.0-1.mga5
+ Revision: 608011
- new version 1.0.0

* Fri Mar 21 2014 ovitters <ovitters> 0.17.8-1.mga5
+ Revision: 606493
- new version 0.17.8

* Wed Mar 19 2014 ovitters <ovitters> 0.17.7-1.mga5
+ Revision: 605865
- update linkage patch
- new version 0.17.7

* Thu Mar 06 2014 ovitters <ovitters> 0.17.5-1.mga5
+ Revision: 600581
- new version 0.17.5

* Sat Feb 22 2014 fwang <fwang> 0.17.4-1.mga5
+ Revision: 595400
- update file list
- update file list
+ ovitters <ovitters>
- new version 0.17.4
- new version 0.17.3

* Wed Feb 19 2014 ovitters <ovitters> 0.17.2-1.mga5
+ Revision: 594712
- update api,major
- new version 0.17.2

* Sun Feb 09 2014 fwang <fwang> 0.17.1-2.mga5
+ Revision: 586954
- rebuild for new upower

* Wed Feb 05 2014 ovitters <ovitters> 0.17.1-1.mga5
+ Revision: 583867
- update api,major
- new version 0.17.1

* Tue Feb 04 2014 ovitters <ovitters> 0.16.4-1.mga5
+ Revision: 582535
- new version 0.16.4

* Mon Oct 21 2013 umeabot <umeabot> 0.16.2-5.mga4
+ Revision: 539396
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 fwang <fwang> 0.16.2-4.mga4
+ Revision: 492086
- add patch build with latest gnome-common
- use autoreconf
+ tmb <tmb>
- rebuild for new icu
+ tv <tv>
- rebuild for new icu

* Wed Sep 18 2013 fwang <fwang> 0.16.2-2.mga4
+ Revision: 481270
- rebuild for new totem-pl-parser

* Thu Aug 01 2013 ovitters <ovitters> 0.16.2-1.mga4
+ Revision: 461918
- new version 0.16.2

* Tue Jun 04 2013 fwang <fwang> 0.16.1-3.mga4
+ Revision: 436959
- rebuild for new libpng

* Sun May 26 2013 fwang <fwang> 0.16.1-2.mga4
+ Revision: 427993
- update br
- rebuild for new icu

* Sat May 25 2013 ovitters <ovitters> 0.16.1-1.mga4
+ Revision: 427453
- update file list
- new version 0.16.1

* Wed May 01 2013 colin <colin> 0.14.5-2.mga3
+ Revision: 411781
- Fix gee build dependancy
- Increase inotify watch limit as tracker is very hungry (from Debian/Ubuntu)
+ ovitters <ovitters>
- new version 0.14.5

* Mon Jan 14 2013 umeabot <umeabot> 0.14.4-4.mga3
+ Revision: 384729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 0.14.4-3.mga3
+ Revision: 316659
- drop old patch
- vala is a noarch package

* Tue Nov 06 2012 fwang <fwang> 0.14.4-2.mga3
+ Revision: 314742
- rebuild for new icu

* Thu Nov 01 2012 ovitters <ovitters> 0.14.4-1.mga3
+ Revision: 312282
- new version 0.14.4

* Wed Oct 24 2012 ovitters <ovitters> 0.14.3-1.mga3
+ Revision: 309688
- new version 0.14.3

* Sun Oct 14 2012 ennael <ennael> 0.14.2-2.mga3
+ Revision: 305616
- Documentation group

* Tue Sep 04 2012 ovitters <ovitters> 0.14.2-1.mga3
+ Revision: 288136
- disable evolution for now as it does not build
- new version 0.14.2

* Thu May 03 2012 ovitters <ovitters> 0.14.1-1.mga3
+ Revision: 234670
- new version 0.14.1

* Fri Mar 09 2012 fwang <fwang> 0.14.0-1.mga2
+ Revision: 222006
- new version 0.14.0

* Wed Feb 22 2012 wally <wally> 0.13.1-1.mga2
+ Revision: 212033
- new version 0.13.1
- enable libosinfo support
- new api 0.14
- rediff evolution patch

* Mon Feb 20 2012 wally <wally> 0.12.10-5.mga2
+ Revision: 211235
- rebuild for new evolution

* Wed Feb 15 2012 wally <wally> 0.12.10-4.mga2
+ Revision: 209378
- new version 0.12.10
- drop upstream applied patches

* Mon Feb 06 2012 wally <wally> 0.12.9-4.mga2
+ Revision: 205429
- add patch to fix build with new evolution
+ fwang <fwang>
- rebuild for new evo

* Sun Dec 25 2011 wally <wally> 0.12.9-3.mga2
+ Revision: 187504
- add missing categories to tracker-preferences.desktop (mga#3613)
- disable firefox and thunderbird plugins for sure

* Sat Dec 24 2011 fwang <fwang> 0.12.9-2.mga2
+ Revision: 187314
- rebuild for new evo

* Sat Dec 17 2011 fwang <fwang> 0.12.9-1.mga2
+ Revision: 183108
- br gettext-devel
- fix build with glib > 2.31.4
- new version 0.12.9

* Fri Dec 09 2011 wally <wally> 0.12.8-2.mga2
+ Revision: 179669
- move some libs from main pkg into lib and devel pkg (thx mdawkins/mdv)
- drop unneeded ld.so.conf
- merge applet, preferences and common subpackages into main pkg

* Sat Nov 26 2011 fwang <fwang> 0.12.8-1.mga2
+ Revision: 172015
- fix linkage
- drop invalid br
- new version 0.12.8

* Tue Nov 22 2011 fwang <fwang> 0.12.7-3.mga2
+ Revision: 170714
- drop deprecated symbol
- rebuild for new evo

* Sat Oct 29 2011 fwang <fwang> 0.12.7-2.mga2
+ Revision: 159482
- rebuild for new evo

* Fri Oct 28 2011 wally <wally> 0.12.7-1.mga2
+ Revision: 159098
- new version 0.12.7

* Sat Oct 22 2011 wally <wally> 0.12.6-1.mga2
+ Revision: 157335
- new version 0.12.6

* Thu Oct 13 2011 wally <wally> 0.12.5-1.mga2
+ Revision: 154649
- new version 0.12.5

* Thu Oct 06 2011 wally <wally> 0.12.4-1.mga2
+ Revision: 152518
- new version 0.12.4

* Tue Sep 27 2011 ovitters <ovitters> 0.12.3-2.mga2
+ Revision: 149401
- rebuild for new poppler

* Mon Sep 26 2011 fwang <fwang> 0.12.3-1.mga2
+ Revision: 148637
- new version 0.12.3

* Thu Sep 22 2011 wally <wally> 0.12.2-1.mga2
+ Revision: 146825
- new version 0.12.2

* Fri Sep 16 2011 fwang <fwang> 0.12.1-1.mga2
+ Revision: 144169
- new version 0.12.1

* Thu Sep 15 2011 fwang <fwang> 0.12.0-2.mga2
+ Revision: 143767
- rebuild for new libpng

* Sat Sep 10 2011 fwang <fwang> 0.12.0-1.mga2
+ Revision: 141986
- new version 0.12.0

* Mon Aug 29 2011 fwang <fwang> 0.11.2-4.mga2
+ Revision: 136144
- rebuild for new evo
- add back require exceptions
- drop invalid switch
- fix linkage
- new version 0.11.2
- obsoletes old devel package, as we only support one tracker branch per distro
- clean up spec
- new version 0.10.20
+ wally <wally>
- add patches from upstream to fix build with latest evolution
- enable evolution subpackage
- new version 0.11.1
- new api 0.11
- clean BRs and use pkgconfig style when possible
- enable flac and tagreadbin configure options
- new version 0.10.21
- disable evolution plugin for now as it doesn't build
- enable nm and gif support
- fix devel package libification
- create subpackages for vala binding and gir .typelibs
- clean .spec a bit
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Fri Jun 24 2011 dmorgan <dmorgan> 0.10.17-5.mga2
+ Revision: 113290
- Fix requires
- This was not supposed to be part of this commit
- Add doc subpackage
  remove .la files
  clean spec file
- Clean spec file
- Disable functionnal tests
  Remove .la files
- Fix file list

* Thu Jun 16 2011 dmorgan <dmorgan> 0.10.17-2.mga2
+ Revision: 108225
- Add obsoletes to ease upgrade

* Thu Jun 16 2011 dmorgan <dmorgan> 0.10.17-1.mga2
+ Revision: 108200
- Add gnutls-devel as buildrequire
- Fix gobject-introspection-devel buildrequire
- Add gobject-introspection as buildrequire
- New version 0.10

* Sun Feb 06 2011 ahmad <ahmad> 0.8.17-4.mga1
+ Revision: 47732
- use generic BR
+ pterjan <pterjan>
- Drop test on mdvver
- Drop test on mdvver
- imported package tracker

